<?php

namespace Mamad\ThemeSetting\Providers;

use Illuminate\Support\Facades\Gate;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\ServiceProvider;
use Mamad\Category\Models\Category;
use Mamad\Product\Models\Product;
use Mamad\Product\policies\ProductPolicy;

class ThemeSettingServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        $this->loadViewsFrom(__DIR__."/../Resources/Views/","ThemeSetting");
        $this->loadRoutesFrom(__DIR__."/../routes/theme_setting_route.php");
        $this->loadMigrationsFrom(__DIR__."/../Database/Migrations");

    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
    }
}
